Bug 218213 - Memory profiling fails with 'JVMTI Redefinition failed with error 60'
Memory profiling fails with 'JVMTI Redefinition failed with error 60'
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Engine
7.0
All All
: P2 (vote)
: 7.3
Assigned To: Tomas Hurka
issues@profiler
bugdb_14585014
: VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-12 13:02 UTC by Tomas Hurka
Modified: 2013-07-04 07:09 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Test case (146.29 KB, text/plain)
2012-09-12 13:38 UTC, Tomas Hurka
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Hurka 2012-09-12 13:02:09 UTC
This error happens when original method size is close to 64K limit and instrumentation extends the method over the 64K limit. This is rare case for machine generated classes with a static field initialization.
Comment 1 Tomas Hurka 2012-09-12 13:38:39 UTC
Created attachment 124243 [details]
Test case

Test case:
1) start memory profiling of attached java class
Comment 2 Tomas Hurka 2012-09-13 08:01:08 UTC
Fixed in profiler-main

changeset:   232817:525b306bba07
user:        Tomas Hurka <thurka@netbeans.org>
date:        Thu Sep 13 10:00:16 2012 +0200
summary:     bugfix #218213, make sure that instrumented method is not bigger than 64K
Comment 3 Quality Engineering 2012-09-19 03:03:50 UTC
Integrated into 'main-golden', will be available in build *201209190001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/525b306bba07
User: Tomas Hurka <thurka@netbeans.org>
Log: bugfix #218213, make sure that instrumented method is not bigger than 64K


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo